[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Graph' (#rtl)

# getscanlineproc

Standard getscanline routine prototype

## Declaration

Source position: graphh.inc line 561

`type getscanlineproc = procedure(`
`X1: SmallInt;`
`X2: SmallInt;`
`Y: SmallInt;`
`var data`
`);`

## Description

This routine is used for FloodFill It returns an entire screen scan line with a word for each pixel in the scanline. Also handy for GetImage.

Documentation generated on: Feb 26 2014